Name:           perl-HTTP-Date
Version:        6.05
Release:        2
Summary:        Date conversion routines
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://metacpan.org/release/HTTP-Date
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-Date-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict) perl(Exporter) perl(Time::Local) perl(vars) perl(Test)
BuildRequires:	perl(:VERSION) >= 5.6.2 perl(warnings) perl(blib) perl(File::Spec) perl(IO::Handle) perl(IPC::Open3) perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Time::Zone) perl(Time::Local) >= 1.28
Conflicts:      perl-libwww-perl < 6

%description
This module provides functions that deal the date formats used by the HTTP
protocol (and then some more). Only the first two functions, time2str() and
str2time(), are exported by default.

%package help
Summary:        Documentation for perl-HTTP-Date

%description help
Documentation for perl-HTTP-Date.

%prep
%autosetup -n HTTP-Date-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%exclude %{_libdir}/perl5/perllocal.pod

%files help
%doc Changes CONTRIBUTORS README.md
%{_mandir}/man3/*

%changelog
* Thu Oct 20 2022 xujing <xujing125@huawei.com> - 6.05-2
- fix date error in %changelog

* Thu Jul 23 2020 xinghe <xinghe1@huawei.com> - 6.05-1
- update version to 6.05

* Wed Oct 23 2019 Zaiwang Li <lizaiwang1@huawei.com> - 6.02-21
- Init Package.
